%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		openshot
Version:	1.4.3
Release:	%mkrel 10
Summary:	Simple and Powerful video editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://www.openshot.org/
Source0:	http://launchpad.net/openshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		openshot-1.4.3-fix-install.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	python-mlt
Requires:	pygoocanvas
Requires:	pygtk2
Requires:	pygtk2.0-libglade
Requires:	python-imaging
Requires:	python-pyxdg
Requires:	python-httplib2
Requires:	frei0r-plugins
Recommends:	blender

%description
OpenShot Video Editor is a free, open-source, non-linear video editor, based on
Python, GTK, MLT and frei0r. It can edit video and audio files, composite and
transition video files, and mix multiple layers of video and audio together and
render the output in many different formats.

%prep
%setup -q
%autopatch -p1

%build
%py2_build

%install
%py2_install

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}%{python2_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

%files
%doc README AUTHORS
%license COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/mime/packages/*
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info
%{_mandir}/man*/*


%changelog
* Tue Oct 18 2016 daviddavid <daviddavid> 1.4.3-10.mga6
+ Revision: 1061543
- revert back release 1.4.3 as release 2.1.0 is not yet completely stable (mga#19600)

* Mon Oct 10 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1060051
- new version: 2.1.0 (fixes mga#19164)
- port to python3 + PyQt5
- recommends inkscape
- update description
- update files list

* Sat Feb 06 2016 umeabot <umeabot> 1.4.3-9.mga6
+ Revision: 940473
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-8.mga5
+ Revision: 745248
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.3-7.mga5
+ Revision: 727526
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-6.mga5
+ Revision: 683242
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.4.3-4.mga4
+ Revision: 542806
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.3-3.mga4
+ Revision: 497968
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 362144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 dams <dams> 1.4.3-1.mga3
+ Revision: 302216
- new version 1.4.3

* Fri Sep 28 2012 dams <dams> 1.4.2-3.mga3
+ Revision: 298857
- update %%Group for new policy
- add blender as a suggests (for 3d titles)

* Mon Sep 10 2012 dams <dams> 1.4.2-2.mga3
+ Revision: 291799
- frei0r is now a require and no more a suggest to be on ISOs (mga#7325)

* Mon Feb 06 2012 fwang <fwang> 1.4.2-1.mga2
+ Revision: 205207
- new version 1.4.2

* Tue Oct 04 2011 dams <dams> 1.4.0-1.mga2
+ Revision: 151492
- update to 1.4.0
- update specfile (major/minor)
- update summary and description

  + ahmad <ahmad>
    - Only suggest frei0r-plugins

* Thu Jun 09 2011 dams <dams> 1.3.1-2.mga2
+ Revision: 102367
- add a require on frei0r-plugins'

* Tue May 17 2011 dams <dams> 1.3.1-1.mga1
+ Revision: 99466
- update to 1.3.1

* Sat Apr 23 2011 ahmad <ahmad> 1.3.0-3.mga1
+ Revision: 89867
- Require python-pyxdg and python-httplib2 (mga#903)

* Wed Apr 20 2011 rtp <rtp> 1.3.0-2.mga1
+ Revision: 89023
- Add missing require on python-imaging (bug #903)

* Thu Mar 24 2011 dmorgan <dmorgan> 1.3.0-1.mga1
+ Revision: 77035
- Fix file list

  + dams <dams>
    - Clean spec file and update to 1.3.0

* Thu Feb 10 2011 steletch <steletch> 1.2.2-2.mga1
+ Revision: 49885
- imported package openshot


* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 1.2.2-2mdv2011.0
+ Revision: 598903
- rebuild for py2.7

* Thu Sep 23 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 580803
- Update to 1.2.2
- It seems that our patch is not needed anymore, just disabling it for now, to revive it in case it is still needed

* Fri Jun 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.3-6mdv2010.1
+ Revision: 547865
- add missing requires

* Mon Jun 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-5mdv2010.1
+ Revision: 547196
- Re-introduce our patch to have the main window in a reasonable size, fixes bug #59251

* Fri Apr 16 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-4mdv2010.1
+ Revision: 535421
- Removing patch, upstream cairo has been fixed

* Wed Apr 14 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-2mdv2010.1
+ Revision: 534892
- Add patch to fix segfault in openshot, should fix #57815

* Tue Apr 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.3-1mdv2010.1
+ Revision: 534182
- New version 1.1.3

* Tue Apr 06 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 532061
- Update to 1.1.2, pygoocanvas still needs to be fixed

* Wed Mar 17 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 523549
- Update to 1.1.1

* Mon Mar 08 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 516023
- Update to 1.1.0 final

* Tue Feb 23 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-0.alpha2mdv2010.1
+ Revision: 510350
- Alpha2 release

* Tue Feb 16 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-0.alpha1mdv2010.1
+ Revision: 506692
- New upstream release
- Some cleanup needed in the spec file

  + Pascal Terjan <pterjan@mandriva.org>
    - test

* Wed Jan 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 490838
- Update Requires for the upcoming python-melt package

* Tue Jan 12 2010 Stéphane Téletchéa <steletch@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 490320
- Update lib dir for mime defintions
- Enumerate explicitly subdirs to the warning concerning the duplication of locale files
- Remove explicit python macro
- import openshot


* Tue Jan 12 2010 Stephane Teletchea <steletch@mandriva.org> 1.0.0-1mdv2010.1
- Initial Mandriva release, imported from the fedora rpm

* Tue Jan 12 2010 Zarko <zarko.pintar@gmail.com> - 1.0.0-1
- Release 1.0.0

* Thu Dec 04 2009 Zarko <zarko.pintar@gmail.com> - 0.9.54-1
- initial release
